# Loki::ThrowOnAnyMutexError Class Reference

`#include <LevelMutex.h>`

List of all members.

## Detailed Description

Implements the ErrorPolicy for LevelMutex and throws an exception for any error condition. Only allows MutexErrors::Success and MutexErrors::NoProblem to get through. Useful for release builds.

The documentation for this class was generated from the following files:

- LevelMutex.h
- LevelMutex.cpp